net.sourceforge.pmd.dcd.graph

## Class ConstructorNode

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.MemberNode<ConstructorNode,Constructor<?>>
  - - net.sourceforge.pmd.dcd.graph.ConstructorNode

All Implemented Interfaces:
  Comparable<ConstructorNode>, NodeVisitorAcceptor

    public class ConstructorNode
    extends MemberNode<ConstructorNode,Constructor<?>>

Represents a Class Constructor in a UsageGraph.

### Field Summary

### Fields inherited from class net.sourceforge.pmd.dcd.graph.MemberNode

`classNode, desc, name`

### Constructor Summary

Constructors
Constructor and Description
`ConstructorNode(ClassNode classNode, String name, String desc)`

### Method Summary

Methods
`int` `compareTo(ConstructorNode that)`
`boolean` `equals(Object obj)`
`Constructor<?>` `getMember()`
`boolean` `isInstanceInitializer()`
`boolean` `isStaticInitializer()`
`String` `toStringLong()`

### Methods inherited from class net.sourceforge.pmd.dcd.graph.MemberNode

`accept, addUse, addUser, equals, equals, getClassNode, getDesc, getName, getUsers, getUses, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConstructorNode

    public ConstructorNode(ClassNode classNode,
                   String name,
                   String desc)

### Method Detail

#### isStaticInitializer

    public boolean isStaticInitializer()

#### isInstanceInitializer

    public boolean isInstanceInitializer()

#### getMember

    public Constructor<?> getMember()

Specified by:
  `getMember` in class `MemberNode<ConstructorNode,Constructor<?>>`

#### toStringLong

    public String toStringLong()

Overrides:
  `toStringLong` in class `MemberNode<ConstructorNode,Constructor<?>>`

#### compareTo

    public int compareTo(ConstructorNode that)

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in class `MemberNode<ConstructorNode,Constructor<?>>`